Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.flex.security3
Class EndpointSecurityMetadataSource

    java.lang.Object
      org.springframework.flex.security3.EndpointSecurityMetadataSource

All Implemented Interfaces:
  AopInfrastructureBean, SecurityMetadataSource

    public class EndpointSecurityMetadataSource

extends Object
implements SecurityMetadataSource

Implementation of `SecurityMetadataSource` for BlazeDS `Endpoints`.

This implementation is capable of securing Endpoints both by their channel id, and by their URL pattern.

Author:
  Jeremy Grelle

Constructor Summary
`EndpointSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<ConfigAttribute>> requestMap)`
`EndpointSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<ConfigAttribute>> requestMap, HashMap<String,Collection<ConfigAttribute>> endpointMap)` Builds the internal request map from the supplied map, and stores the endpoint map for matching by channel id.

Method Summary
`Collection<ConfigAttribute>` | `getAllConfigAttributes()`
`Collection<ConfigAttribute>` | `getAttributes(Object object)`
`boolean` | `supports(Class<?> clazz)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EndpointSecurityMetadataSource

    public EndpointSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<ConfigAttribute>> requestMap)

See Also:
  `DefaultFilterInvocationSecurityMetadataSource.DefaultFilterInvocationSecurityMetadataSource(UrlMatcher, LinkedHashMap)`

### EndpointSecurityMetadataSource

    public EndpointSecurityMetadataSource(LinkedHashMap<RequestMatcher,Collection<ConfigAttribute>> requestMap,
                                          HashMap<String,Collection<ConfigAttribute>> endpointMap)

  Builds the internal request map from the supplied map, and stores the endpoint map for matching by channel id.

  Parameters:
    `endpointMap` - map of <String, Collection<ConfigAttribute>>
  See Also:
    `DefaultFilterInvocationSecurityMetadataSource.DefaultFilterInvocationSecurityMetadataSource(UrlMatcher, LinkedHashMap)`

Method Detail

### getAttributes

    public Collection<ConfigAttribute> getAttributes(Object object)
                                              throws IllegalArgumentException

  Specified by:
    `getAttributes` in interface `SecurityMetadataSource`
  Throws:
    `IllegalArgumentException`

### getAllConfigAttributes

    public Collection<ConfigAttribute> getAllConfigAttributes()

  Specified by:
    `getAllConfigAttributes` in interface `SecurityMetadataSource`

### supports

    public boolean supports(Class<?> clazz)

  Specified by:
    `supports` in interface `SecurityMetadataSource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Spring BlazeDS Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.